package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TAgv;

/**
 * agv列表Mapper接口
 *
 * @author tony
 * @date 2024-06-17
 */
public interface TAgvMapper extends BaseMapper<TAgv> //修改
{
    /**
     * 查询agv列表
     *
     * @param id agv列表主键
     * @return agv列表
     */
    public TAgv selectTAgvById(Long id);

    /**
     * 查询agv列表列表
     *
     * @param tAgv agv列表
     * @return agv列表集合
     */
    public List<TAgv> selectTAgvList(TAgv tAgv);

    /**
     * 新增agv列表
     *
     * @param tAgv agv列表
     * @return 结果
     */
    public int insertTAgv(TAgv tAgv);

    /**
     * 修改agv列表
     *
     * @param tAgv agv列表
     * @return 结果
     */
    public int updateTAgv(TAgv tAgv);

    /**
     * 删除agv列表
     *
     * @param id agv列表主键
     * @return 结果
     */
    public int deleteTAgvById(Long id);

    /**
     * 批量删除agv列表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTAgvByIds(Long[] ids);

    /**
     * 批量启用agv列表
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTAgvByIds(Long[] ids);

    /**
     * 批量禁用agv列表
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTAgvByIds(Long[] ids);

}
